Package io.vertx.ext.web.validation

## Interface RequestParameters

-     public interface RequestParameters

  Container for request parameters
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RequestParameter` | `body()` | Return request body when parsed.
    `RequestParameter` | `cookieParameter​(String name)` | Get cookie parameter by name
    `List<String>` | `cookieParametersNames()` | Get list of all parameter names inside cookie
    `RequestParameter` | `headerParameter​(String name)` | Get header parameter by name.
    `List<String>` | `headerParametersNames()` | Get list of all parameter names inside header
    `RequestParameter` | `pathParameter​(String name)` | Get path parameter by name
    `List<String>` | `pathParametersNames()` | Get list of all parameter names inside path
    `RequestParameter` | `queryParameter​(String name)` | Get query parameter by name
    `List<String>` | `queryParametersNames()` | Get list of all parameter names inside query
    `JsonObject` | `toJson()` | This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist

- - ### Method Detail

    - #### pathParametersNames

          List<String> pathParametersNames()

      Get list of all parameter names inside path
      Returns:

    - #### pathParameter

          RequestParameter pathParameter​(String name)

      Get path parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### queryParametersNames

          List<String> queryParametersNames()

      Get list of all parameter names inside query
      Returns:

    - #### queryParameter

          RequestParameter queryParameter​(String name)

      Get query parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### headerParametersNames

          List<String> headerParametersNames()

      Get list of all parameter names inside header
      Returns:

    - #### headerParameter

          RequestParameter headerParameter​(String name)

      Get header parameter by name. This getter is case insensitive.
      Parameters:
        `name` - Parameter name
      Returns:

    - #### cookieParametersNames

          List<String> cookieParametersNames()

      Get list of all parameter names inside cookie
      Returns:

    - #### cookieParameter

          RequestParameter cookieParameter​(String name)

      Get cookie parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### body

          RequestParameter body()

      Return request body when parsed. Forms are managed as `JsonObject`
      Returns:

    - #### toJson

          JsonObject toJson()

      This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
      cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist
      Returns: